# Uses of Interface
com.sun.mirror.declaration.ParameterDeclaration

Packages that use ParameterDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of ParameterDeclaration in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return types with arguments of type ParameterDeclaration
Modifier and Type
Method
Description
`Collection<ParameterDeclaration>`
ExecutableDeclaration.`getParameters()`
Returns the formal parameters of this method or constructor.

## Uses of ParameterDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type ParameterDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitParameterDeclaration(ParameterDeclaration d)`
Visits a parameter declaration.
`void`
SimpleDeclarationVisitor.`visitParameterDeclaration(ParameterDeclaration d)`
Visits a parameter declaration.